javax.batch.runtime

## Class BatchRuntime

- java.lang.Object
- - javax.batch.runtime.BatchRuntime

    public class BatchRuntime
    extends Object

BatchRuntime represents the JSR 352 Batch Runtime. It provides factory access to the JobOperator interface.

### Constructor Summary

Constructors
Constructor and Description
`BatchRuntime()`

### Method Summary

Methods
`static JobOperator` `getJobOperator()` The getJobOperator factory method returns an instance of the JobOperator interface.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchRuntime

    public BatchRuntime()

### Method Detail

#### getJobOperator

    public static JobOperator getJobOperator()

The getJobOperator factory method returns an instance of the JobOperator interface.

Returns:
  JobOperator instance.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0